package tutorialJava.examenes.examen20250321.controlador;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250321.modelo.Localidad;

public class ControladorLocalidad {

	
	public static List<Localidad> findAll() {
		List<Localidad> lista = new ArrayList<Localidad>();
		try {
			Connection conn = ConnectionManager.getConnection();
			
			Statement s = conn.createStatement();
			ResultSet rs = 
					s.executeQuery("select * from localidad");
			
			while (rs.next()) {
				Localidad l = new Localidad();
				l.setId(rs.getInt("id"));
				l.setDescripcion(rs.getString("descripcion"));
				lista.add(l);
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return lista;
	}
	
}










